%bcond_with	bootstrap

%bcond_with	tests

%define pypi_name wheel

%global python_wheelname %{pypi_name}-%{version}-py2.py3-none-any.whl
%global python_wheeldir %{_datadir}/python-wheels

Name:           python-%{pypi_name}
Version:        0.35.1
Release:        %mkrel 2
Summary:        A built-package format for Python
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/pypa/wheel
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{without bootstrap}
BuildRequires:	python3-pip
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keyring
BuildRequires:  python3-py
BuildRequires:  python3-pyxdg
%endif
%endif

%description
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python3-%{pypi_name}
Summary:        A built-package format for Python
Group:          Development/Python
Obsoletes:	python2-wheel < 0.33.1-2

%description -n python3-%{pypi_name}
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package wheel
Summary:	The Python wheel module packaged as a wheel
Group:		Development/Python

%description wheel
A Python wheel of wheel to use with virtualenv.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%build
%py3_build


%install
%py3_install

ln -s %{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_pkgversion}
ln -s %{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}

%if %{without bootstrap}
# We can only use bdist_wheel when wheel is installed, hence we don't build the wheel in %%build
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%py3_build_wheel
mkdir -p %{buildroot}%{python_wheeldir}
install -p dist/%{python_wheelname} -t %{buildroot}%{python_wheeldir}
%endif

%if %{without bootstrap}
%if %{with tests}
%check
rm setup.cfg  # to drop pytest coverage options configured there
%pytest -v --ignore build
%endif
%endif

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/%{pypi_name}-%{python3_version}
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3
%{python3_sitelib}/%{pypi_name}*/

%if %{without bootstrap}
%files wheel
# we own the dir for simplicity
%dir %{python_wheeldir}/
%{python_wheeldir}/%{python_wheelname}
%endif


%changelog
* Sat Nov 07 2020 wally <wally> 0.35.1-2.mga8
+ Revision: 1643163
- fix binary symlinks

* Wed Sep 16 2020 guillomovitch <guillomovitch> 0.35.1-1.mga8
+ Revision: 1626948
- new version 0.35.1

* Thu Feb 20 2020 umeabot <umeabot> 0.33.6-2.mga8
+ Revision: 1546102
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.33.6-1.mga8
+ Revision: 1485930
- new version: 0.33.6

* Tue Sep 03 2019 wally <wally> 0.33.1-3.mga8
+ Revision: 1436769
- non-bootstrap build for python3.8

* Tue Sep 03 2019 wally <wally> 0.33.1-2.mga8
+ Revision: 1436764
- bootstrap build for python3.8
- drop python2 support

* Wed Apr 17 2019 wally <wally> 0.33.1-1.mga7
+ Revision: 1392184
- new version 0.33.1

* Sat Jan 05 2019 wally <wally> 0.32.3-5.mga7
+ Revision: 1349232
- disable bootstrap

* Fri Jan 04 2019 wally <wally> 0.32.3-4.mga7
+ Revision: 1349201
- another bootstrap build for python3.7

* Fri Jan 04 2019 wally <wally> 0.32.3-3.mga7
+ Revision: 1349200
- disable bootstrap

* Fri Jan 04 2019 wally <wally> 0.32.3-2.mga7
+ Revision: 1349179
- bootstrap build for python3.7

* Tue Jan 01 2019 wally <wally> 0.32.3-1.mga7
+ Revision: 1348255
- new version 0.32.3
- create python-wheel-wheel
- disable tests for now

* Mon Sep 24 2018 tv <tv> 0.30.0a0-4.mga7
+ Revision: 1303665
- really with python 3.6.6

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0a0-3.mga7
+ Revision: 1290567
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 tv <tv> 0.30.0a0-2.mga7
+ Revision: 1134300
- rebuild for new python

* Sat Jul 29 2017 philippem <philippem> 0.30.0a0-1.mga7
+ Revision: 1132523
- change rel to 1
- update to 0.30.0a0, first step for python 3.6.2

* Fri Feb 19 2016 umeabot <umeabot> 0.26.0-2.mga6
+ Revision: 970441
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 philippem <philippem> 0.26.0-1.mga6
+ Revision: 882389
- update to 0.26.0

* Fri Aug 28 2015 philippem <philippem> 0.24.0-1.mga6
+ Revision: 870482
- update to 0.24.0

* Wed Oct 15 2014 umeabot <umeabot> 0.23.0-5.mga5
+ Revision: 743708
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.23.0-4.mga5
+ Revision: 730008
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.23.0-3.mga5
+ Revision: 688422
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.23.0-2.mga5
+ Revision: 629102
- Rebuild for new Python

* Fri May 23 2014 philippem <philippem> 0.23.0-1.mga5
+ Revision: 625218
- update to 0.23, first step for Python 3.4

* Sun Apr 20 2014 philippem <philippem> 0.22.0-1.mga5
+ Revision: 617157
- add missing BR for tests
- imported package python-wheel

